VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceCornerSampledImageFeaturesNV (Bool32 cornerSampledImage_=0)
| PhysicalDeviceCornerSampledImageFeaturesNV (VkPhysicalDeviceCornerSampledImageFeaturesNV const &rhs)
PhysicalDeviceCornerSampledImageFeaturesNV & | operator= (VkPhysicalDeviceCornerSampledImageFeaturesNV const &rhs)
PhysicalDeviceCornerSampledImageFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceCornerSampledImageFeaturesNV & | setCornerSampledImage (Bool32 cornerSampledImage_)
| operator VkPhysicalDeviceCornerSampledImageFeaturesNV const & () const
| operator VkPhysicalDeviceCornerSampledImageFeaturesNV & ()
bool | operator== (PhysicalDeviceCornerSampledImageFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceCornerSampledImageFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | cornerSampledImage

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceCornerSampledImageFeaturesNV

## Detailed Description

Definition at line 19629 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceCornerSampledImageFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::PhysicalDeviceCornerSampledImageFeaturesNV | ( | Bool32 | cornerSampledImage_ = `0` | ) |

inline

Definition at line 19631 of file vulkan.hpp.

: cornerSampledImage( cornerSampledImage_ )
{
}

## PhysicalDeviceCornerSampledImageFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::PhysicalDeviceCornerSampledImageFeaturesNV | ( | VkPhysicalDeviceCornerSampledImageFeaturesNV const & | rhs | ) |

inline

Definition at line 19636 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceCornerSampledImageFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceCornerSampledImageFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator VkPhysicalDeviceCornerSampledImageFeaturesNV & | ( |  | ) |

inline

Definition at line 19663 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceCornerSampledImageFeaturesNV*>(this);
}

## operator VkPhysicalDeviceCornerSampledImageFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator VkPhysicalDeviceCornerSampledImageFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19658 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceCornerSampledImageFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator!= | ( | PhysicalDeviceCornerSampledImageFeaturesNV const & | rhs | ) | const

inline

Definition at line 19675 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceCornerSampledImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator= | ( | VkPhysicalDeviceCornerSampledImageFeaturesNV const & | rhs | ) |

inline

Definition at line 19641 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceCornerSampledImageFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator== | ( | PhysicalDeviceCornerSampledImageFeaturesNV const & | rhs | ) | const

inline

Definition at line 19668 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( cornerSampledImage == rhs.cornerSampledImage );
}

References cornerSampledImage, pNext, and sType.

Referenced by operator!=().

## setCornerSampledImage()

PhysicalDeviceCornerSampledImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::setCornerSampledImage | ( | Bool32 | cornerSampledImage_ | ) |

inline

Definition at line 19652 of file vulkan.hpp.

{
cornerSampledImage = cornerSampledImage_;
return *this;
}

References cornerSampledImage.

## setPNext()

PhysicalDeviceCornerSampledImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19646 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## cornerSampledImage

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::cornerSampledImage

Definition at line 19685 of file vulkan.hpp.

Referenced by operator==(), and setCornerSampledImage().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::pNext = nullptr

Definition at line 19684 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::sType = StructureType::ePhysicalDeviceCornerSampledImageFeaturesNV

private

Definition at line 19681 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::operator==
bool operator==(PhysicalDeviceCornerSampledImageFeaturesNV const &rhs) const
Definition: vulkan.hpp:19668
VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::cornerSampledImage
Bool32 cornerSampledImage
Definition: vulkan.hpp:19685
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPhysicalDeviceCornerSampledImageFeaturesNV
Definition: vulkan_core.h:6585
VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19684
VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::PhysicalDeviceCornerSampledImageFeaturesNV
PhysicalDeviceCornerSampledImageFeaturesNV(Bool32 cornerSampledImage_=0)
Definition: vulkan.hpp:19631
VULKAN_HPP_NAMESPACE::PhysicalDeviceCornerSampledImageFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19681